#!/usr/bin/ruby

require 'net/http'
require 'net/https'
require 'uri'
require 'hpricot' 
require 'timeout'
require 'bankcrawler.rb'

$blacklist = [
	"www.servicecu.org"
]
$setsize = 10
$set = 80

blzlist = Hash.new
#failed_banks = Array.new
#blz_secure_links = Hash.new
#blz_insec_links = Hash.new
#blz = ARGV[0]

# $stderr.puts blz

f = File.new("BLZ-Liste_FINAL_221009.csv")
begin
    while (line = f.readline)
        toks = line.chomp.split("\t")
	blz = toks[0].gsub('"', '')
	url = toks[3].gsub('"', '')
	if blzlist.has_key?(blz)
		# $stderr.puts("Dublette: " + blz + " - " + url + " Alt: " + blzlist[blz])
	end
	blzlist[blz] = url
    end
rescue EOFError
    f.close
end

count = 0
blzlist.each { |k,v|
	# $stderr.puts("Processing: " + k + " - " + v)
	# begin
	if !$blacklist.include?(v) && count < $set * $setsize && count >= ($set-1) * $setsize 
		x = SinglePage.new(v, 0.0, k.to_i)
		x.retrieve_hostprotos.each { |h|
			$stderr.puts(h["proto"].to_s + " + " + h["host"].to_s)
		}
		# rescue Timeout::Error
		# end
	end
	count += 1
}

# puts $already_checked.join